import java.sql.*;

class TestOCINet8App {
  // Test the Net8 syntax
  public static void main(String args[]) 
   throws ClassNotFoundException, SQLException {

    Class.forName("oracle.jdbc.driver.OracleDriver");
    // or you can use:
    //  DriverManager.registerDriver(
    //   new oracle.jdbc.driver.OracleDriver());
    Connection conn = DriverManager.getConnection(
     "jdbc:oracle:oci8:@(DESCRIPTION = " + 
     "(ADDRESS_LIST = (ADDRESS = " +
     "(PROTOCOL = TCP)(HOST = dssw2k01)(PORT = 1521)))" + 
     "(CONNECT_DATA = (SERVICE_NAME = dssw2k01)))","scott","tiger");

    Statement stmt = conn.createStatement();
    ResultSet rset = stmt.executeQuery(
     "select 'Hello OCI driver tester '||USER||'!' result from dual");
    while(rset.next()) 
      System.out.println(rset.getString(1));
    rset.close();
    stmt.close();
    conn.close();
  }
}